import httpRequest from '@/utils/axios'
/**
 * 获取广告列表
 * @param {string} type_id 类型id
 * @param {number} id_title id或标题
 * @param {string} project_id 项目id
 */
export function getAdList(params) {
  return httpRequest.get('/api/cms/admin/v1/advertisements', { params })
}
/**
 * 发布广告
 * @param {string} id
 * @param {number} data.is_publish 发布1 取消发布0
 */
export function publishAd(id, data) {
  return httpRequest.post(`/api/cms/admin/v1/advertisement/${id}/publish`, data)
}

/**
 * 获取文章列表
 * @param {string} type_id 类型id
 * @param {number} id_title id或标题
 * @param {string} project_id 项目id
 */
export function getArticleList(params) {
  return httpRequest.get('/api/cms/admin/v1/articles', { params })
}
/**
 * 发布文章
 * @param {string} id
 * @param {number} data.is_publish 发布1 取消发布0
 */
export function publishArticle(id, data) {
  return httpRequest.post(`/api/cms/admin/v1/article/${id}/publish`, data)
}

/**
 * 获取图文列表
 * @param {string} type_id 类型id
 * @param {number} id_title id或标题
 * @param {string} project_id 项目id
 */
export function getImgTextList(params) {
  return httpRequest.get('/api/cms/admin/v1/img-texts', { params })
}
/**
 * 发布图文
 * @param {string} id
 * @param {number} data.is_publish 发布1 取消发布0
 */
export function publishImgText(id, data) {
  return httpRequest.post(`/api/cms/admin/v1/img-text/${id}/publish`, data)
}
